Subject: bug#2920: emacs freezes because of lock files in samba server

From: Sergio Roa <[email-masked]>
Date: Tue, 07 Apr 2009 19:21:51 +0200

Just for information: the workaround is to set the following in 
/etc/samba/smb.conf (in my case is an Ubuntu linux samba server):

unix extensions = no

so that now there is no problem editing the files mounted in a Volume in 
my MacOS Leopard client :)

Sergio Roa wrote:
> I found that in fact when I perform the command
> 
> rm .#prueba.xml
> 
> on the mounted directory in the client computer, the operating system 
> tries to delete the file but it doesn't manage to delete it in the 
> server... This behaviour only occurs with links to other files. For 
> instance, I created a file "otraprueba.xml" which points to "prueba.xml" 
> and then tried to delete it (working on the client computer), without 
> success.
> 
> So, apparently it is a Mac OS or Samba problem.
> 

-- 
Sergio Roa
http://www.dfki.de/~sroa
-------------------------------------------------------------
Deutsches Forschungszentrum fuer Kuenstliche Intelligenz GmbH
Trippstadter Strasse 122, D-67663 Kaiserslautern, Germany
* Geschaeftsfuehrung: Prof. Dr. Wolfgang Wahlster (Vors.)
                       Dr. Walter Olthoff
* Vorsitzender des Aufsichtsrats:Prof. Dr. h.c. Hans A. Aukes
Amtsgericht Kaiserslautern, HRB 2313
-------------------------------------------------------------